From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] manual: Disambiguate -H/hash wording wrt. IRC colors in general
Date: Sun, 23 May 2021 17:26:20 +0000
Message-Id: <20210523172620.54723-3-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

"and the maximum IRC color value used" just rephrases the first part,
i.e. initial values and upper bounds for colors produced by the hash
function;  however, I read that as >>init/bound colors for nick/channel<<
and >>maximum IRC colors in general<<.

The latter is not covered at all, hence `-H/hash' has no effect on color
codes in general, whether they are produced with C-z bindings or sent
by other users for example.
---
 catgirl.1 | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/catgirl.1 b/catgirl.1
index c0877a9..7f8a445 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -95,10 +95,8 @@ The default is the first available of
 .Xr xsel 1 .
 .
 .It Fl H Ar init,bound , Cm hash = Ar init,bound
-Set the initial value of
-the nick and channel
-color hash function
-and the maximum IRC color value used.
+Set both the initial and maximum value of
+nick and channel colors.
 The default is 0,75.
 To use only colors from
 the 16-color terminal set,
-- 
2.31.1


